<?php
// lang/lang.php
session_start();
$lang = $_GET['lang'] ?? $_SESSION['lang'] ?? 'tr';
$_SESSION['lang'] = $lang;

$translations = [
    'tr' => [
        'welcome' => 'Hoş geldiniz',
        'login' => 'Giriş Yap',
        'username' => 'Kullanıcı Adı',
        'password' => 'Şifre',
        'logout' => 'Çıkış Yap'
    ],
    'en' => [
        'welcome' => 'Welcome',
        'login' => 'Login',
        'username' => 'Username',
        'password' => 'Password',
        'logout' => 'Logout'
    ],
    'ar' => [
        'welcome' => 'أهلا بك',
        'login' => 'تسجيل الدخول',
        'username' => 'اسم المستخدم',
        'password' => 'كلمة المرور',
        'logout' => 'تسجيل الخروج'
    ]
];

function t($key) {
    global $translations, $lang;
    return $translations[$lang][$key] ?? $key;
}
?>