<?php
require_once '../config.php';
require_once '../config/jwt.php';

$token = $_COOKIE['token'] ?? '';
$user = validateJWT($token);
if (!$user) {
    die('Yetkisiz erişim');
}

$username = $user['username'];

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $channel = $_POST['channel'];
    $url = $_POST['url'];
    $stmt = $conn->prepare("INSERT INTO favorites (username, channel_name, channel_url) VALUES (?, ?, ?)");
    $stmt->bind_param("sss", $username, $channel, $url);
    $stmt->execute();
    echo 'Favorilere eklendi';
    exit();
}

$result = $conn->query("SELECT channel_name, channel_url FROM favorites WHERE username = '$username'");
$favorites = $result->fetch_all(MYSQLI_ASSOC);
header('Content-Type: application/json');
echo json_encode($favorites);
?>