<?php
require_once '../config.php';
require_once '../config/jwt.php';

$token = $_COOKIE['token'] ?? '';
$user = validateJWT($token);
if (!$user) {
    die('Yetkisiz erişim');
}

$username = $user['username'];

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $channel = $_POST['channel'];
    $stmt = $conn->prepare("INSERT INTO history (username, channel_name) VALUES (?, ?)");
    $stmt->bind_param("ss", $username, $channel);
    $stmt->execute();
    exit();
}

$result = $conn->query("SELECT channel_name, watched_at FROM history WHERE username = '$username' ORDER BY watched_at DESC");
$history = $result->fetch_all(MYSQLI_ASSOC);
header('Content-Type: application/json');
echo json_encode($history);
?>