<?php
// api/sync.php
// Bu dosya, Xtream API üzerinden kategorileri ve kanalları çekerek sistem verilerini günceller

$config = include('../config/xtream.php');
$conn = $config['connections'][$config['active']];

// Kategorileri çek
$cat_url = "{$conn['host']}/player_api.php?username={$conn['user']}&password={$conn['pass']}&action=get_live_categories";
$categories = json_decode(file_get_contents($cat_url), true);

// Kanalları çek
$stream_url = "{$conn['host']}/player_api.php?username={$conn['user']}&password={$conn['pass']}&action=get_live_streams";
$streams = json_decode(file_get_contents($stream_url), true);

// Geçici JSON olarak kayıt et (geliştirilebilir veri tabanı bağlantısıyla)
file_put_contents("../data/categories.json", json_encode($categories, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));
file_put_contents("../data/channels.json", json_encode($streams, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));

echo "Veriler başarıyla senkronize edildi.";
?>
