<?php
// home.php
require_once 'config/jwt.php';

$token = $_COOKIE['token'] ?? '';
$auth = validateJWT($token);

if (!$auth) {
    header('Location: index.php');
    exit();
}
?>
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <title>Hoş Geldiniz</title>
    <link rel="stylesheet" href="assets/style.css">
</head>
<body>
    <h1>Hoş geldiniz, <?= htmlspecialchars($auth['username']) ?>!</h1>
    <p>Canlı TV, Diziler ve Sinemalara erişmek için menüleri kullanın.</p>
    <a href="auth/logout.php">Çıkış Yap</a>
</body>
</html>
