<?php
// player/stream.php

$url = $_GET['url'] ?? '';
if (!$url || !filter_var($url, FILTER_VALIDATE_URL)) {
    http_response_code(400);
    exit('Geçersiz URL');
}

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);

// Android uygulama gibi davranan User-Agent ve başlıklarla istek
curl_setopt($ch, CURLOPT_USERAGENT, 'IPTV-App/1.0 (Android)');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Referer: https://elegancetr.xyz/',
    'Origin: https://elegancetr.xyz/'
]);

// Yayın türüne göre uygun Content-Type (M3U veya HLS yayını)
header("Content-Type: application/vnd.apple.mpegurl");
echo curl_exec($ch);
curl_close($ch);
?>
