self.addEventListener('install', function(e) {
  e.waitUntil(
    caches.open('iptv-cache').then(function(cache) {
      return cache.addAll([
        '/',
        '/index.php',
        '/assets/style.css',
        '/assets/app.js'
      ]);
    })
  );
});

self.addEventListener('fetch', function(e) {
  e.respondWith(
    caches.match(e.request).then(function(response) {
      return response || fetch(e.request);
    })
  );
});
